<?php

namespace SGalinski\SgNews\ViewHelpers\Backend;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use SGalinski\SgNews\Utility\BackendNewsUtility;
use SGalinski\SgNews\ViewHelpers\AbstractViewHelper;

/**
 * Class EditOnClickViewHelper
 **/
class NewsItemTagsViewHelper extends AbstractViewHelper {

	/**
	 * Initialize the ViewHelper arguments
	 */
	public function initializeArguments() {
		parent::initializeArguments();
		$this->registerArgument('uid', 'int', 'The uid of the news', FALSE, 0);
		$this->registerArgument('languageUid', 'int', 'The language uid', FALSE, 0);
	}

	/**
	 * Renders the tags for the specified news uid
	 *
	 * @return string
	 * @throws \TYPO3\CMS\Extbase\Persistence\Exception\InvalidQueryException
	 * @throws \InvalidArgumentException
	 */
	public function render(): string {
		$out = '';
		$uid = $this->arguments['uid'];
		$languageUid = $this->arguments['languageUid'];
		if ($uid) {
			$tags = BackendNewsUtility::getTagsForNewsItem($uid, $languageUid);
			$out = implode(', ', $tags);
		}

		return $out;
	}
}
